body.enable-page-scroll #root .mem-container-h__wrapper {
  height: 100% !important;
  justify-content: center !important;
  align-items: center !important;
}

.mem-login-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
  padding: 0 2rem;
  background-color: #f5f5f5;
}

.mem-login-layout {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 0;
  background: white;
  border-radius: 10px;
  width: 100%;
  max-width: 1210px;
  min-height: 690px;
  max-height: min-content; /*800px*/
}

.mem-login-swiper {
  height: 100%;
  min-height: 100%;
  width: 100%;
  display: flex;
  overflow: hidden;
  border-radius: 10px 0 0 10px;
  background-color: rgba(31, 70, 88, 1);
}

.mem-login-swiper > .swiper {
  height: auto;
  max-height: inherit;
  display: grid;
  grid-template-columns: repeat(1, minmax(0, 1fr));
}

.mem-login-promo-wrapper {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: center;
  padding: 0 2rem 2rem 2rem;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  background-color: rgba(31, 70, 88, 1);
}

.mem-login-promo-wrapper.promo-01 {
  background-image: url(https://meminto.com/wp-content/uploads/2023/09/Tochter-Vater.jpg);
}

.mem-login-promo-wrapper.promo-02 {
  background-image: url(https://meminto.com/wp-content/uploads/2023/09/meminto-kindheitsbuch-hero-1.jpg);
}

.mem-login-promo-wrapper.promo-03 {
  background-image: url(https://meminto.com/wp-content/uploads/2023/11/Meminto_Memorial_book_Hero.jpg);
  background-position-x: 84%;
}

.mem-login-promo-wrapper.promo-04 {
  background-image: url(https://meminto.com/wp-content/uploads/2023/12/Travelbook_wide_komp.jpg);
}

.mem-login-promo-wrapper.promo-05 {
  background-image: url(https://meminto.com/wp-content/uploads/2023/10/Meminto_Wedding_book_s-1.jpg);
  background-position-x: 84%;
}

.mem-login-promo-content {
  position: relative;
  padding: 2rem;
  border-radius: 10px;
  backdrop-filter: blur(6px);
  background-color: rgba(31, 70, 88, 0.7);
}

.mem-promo-icon {
  position: absolute;
  width: 2px;
  height: 2px;
  left: 50%;
  transform: translateX(-50%);
  top: -1px;
  opacity: 0;
  animation: expandIcon 0.3s forwards 0.5s;
}

@keyframes expandIcon {
  to {
    width: 64px;
    height: 64px;
    top: -32px;
    opacity: 1;
  }
}

.mem-promo-icon img {
  max-width: 100%;
}

.mem-login-promo-content h3,
.mem-login-promo-content p {
  color: white;
  text-align: center;
}

.mem-login-promo-content h3 {
  font-weight: 500 !important;
  font-size: 1.5rem !important;
  line-height: 1.2;
  margin-bottom: 1.25rem;
}

.mem-login-promo-content p {
  font-size: 1.125rem;
}

.mem-login-layout .swiper-pagination {
  bottom: 4.5rem;
}

.mem-login-form {
  max-width: 400px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 2rem 3rem;
}

.mem-input__inputWrapper {
  position: relative;
  margin-bottom: 1rem;
}

.mem-input__inputWrapper label {
  padding: 0;
}

.mem-input__inputWrapper label::before {
  content: attr(title);
  position: absolute;
  top: 1rem;
  left: 1rem;
  line-height: 1.1;
  font-size: 16px;
  color: #979797;
  font-weight: 400;
  transition: all 0.3s ease-in-out;
  z-index: 0;
}

.mem-login-form .mem-input__inputWrapper input,
form#user-login .mem-input__inputWrapper input {
  width: 100%;
  line-height: 1.1;
  padding: 1rem !important;
  padding-right: 2.5rem !important;
  font-weight: 400 !important;
  font-size: 16px !important;
  color: #000 !important;
  font-family: 'Hanken Grotesk' !important;
  position: relative;
  z-index: 10;
  background-color: transparent;
  -webkit-text-fill-color: #000 !important;
}

.mem-login-form .mem-iconholder {
  width: 24px;
  height: 24px;
  position: absolute;
  top: 14px;
  right: 14px;
  color: #999;
}

.mem-input__inputWrapper input:focus {
  outline: 0;
  border-color: #29a599;
  border-width: 1px;
}

.mem-input__inputWrapper input.has-value + label::before {
  content: attr(data-title);
}

.mem-input__inputWrapper input:focus + label::before,
.mem-input__input:focus ~ .mem-iconholder {
  color: #29a599;
}

.mem-input__inputWrapper input:focus + label::before,
.mem-input__inputWrapper input.has-value + label::before {
  line-height: 1;
  font-size: 13px;
  font-weight: 400;
  color: #4f4f4f;
  top: -7px;
  background: #fff;
  padding: 0 6px;
  left: 9px;
  z-index: 11;
}

.mem-input__inputWrapper input:focus + label::before {
  color: #29a599;
}

.mem-input__inputWrapper input.has-value {
  background-color: rgba(194, 194, 194, 0.1);
  font-size: 16px !important;
}

.mem-recover-pass {
  display: block;
  font-size: 13px;
  text-align: right;
  margin-top: -10px;
  padding-bottom: 1rem;
}

.mem-login-form button.mem-login-form-button {
  color: white;
  background: #29a599;
  border: none;
  border-radius: 2rem;
  width: 100%;
  height: 42px;
  font-size: 1rem;
  text-transform: uppercase;
  font-weight: 600;
  transition: all 0.2s ease-in-out;
  font-family:
    'Hanken Grotesk',
    -apple-system,
    system-ui,
    Roboto,
    Arial,
    sans-serif;
}

.mem-login-form button.mem-login-form-button:hover {
  background: #b2a380;
  transition: all 0.2s ease-in-out;
}

.mem-login-form button.mem-login-form-button span {
  display: flex;
  justify-content: center;
  align-items: center;
}

#social-login-container {
  padding-top: 1.25rem;
}

.mem-login-layout .mem-signup-explanation {
  margin: 0 auto;
  text-align: center;
}

.login-footer {
  padding-top: 1rem;
}

.mem-signup-explanation-headline {
  margin-top: 1rem;
  font-size: 1.25rem;
  line-height: 1;
}

.mem-signup-explanation p {
  font-size: 0.9rem;
  line-height: 1.4rem;
}

.mem-signup-explanation + br {
  display: none;
}

#appleid-signin,
#appleid-signin > div {
  width: 100% !important;
  max-width: 100% !important;
}

form#user-login div.error,
form#user-register div.error,
form#forgot-password div.error,
form#reset-password div.error {
  color: #d93737;
  font-size: 0.9rem;
}

.mem-logo-svg {
  width: 86px;
}

a.mem-already-registered {
  display: block;
  font-size: 13px;
  text-align: center;
  margin-top: 0.5rem;
}

.mem-grid-layout {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  column-gap: 1rem;
}

.activation-code {
  grid-column: span 2 / span 2;
}

.mem-agreement-group {
  padding-left: 1rem;
}

.mem-agreement-group span.checkbox-remember-pro input {
  width: 16px;
  height: 16px;
}

.mem-agreement-group span.checkbox-remember-pro label {
  margin-left: 0;
  font-size: 13px;
  font-weight: 400;
}

.toggle-visibility .hidden {
  display: none;
}

.toggle-visibility .mem-iconholder {
  cursor: pointer;
  z-index: 11;
}

.mem-input__inputWrapper.activation-code input.has-value {
  border-color: #ffcc4d;
  background-color: rgba(244, 227, 172, 0.1);
}

.mem-login-promo-content a {
  text-align: center;
  display: block;
  font-size: 0.9rem;
}

@media (max-width: 768px) {
  .mem-login-wrapper {
    padding: 0;
    background-color: white;
    height: auto;
  }

  .mem-login-layout {
    grid-template-columns: repeat(1, minmax(0, 1fr));
    border-radius: 0;
    min-height: fit-content;
  }

  .mem-login-swiper {
    display: none;
  }

  .mem-login-form {
    padding: 2rem;
  }

  .login-footer {
    padding-top: 1rem !important;
  }

  .mem-grid-layout {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }

  .activation-code {
    grid-column: span 1 / span 1;
  }
}

.mem-login-form #product_type_select {
  font-weight: 400 !important;
  font-size: 16px !important;
  font-family: 'Hanken Grotesk' !important;
  color: #000;
}

.input__inputWrapper #product_type_select {
  font-weight: 400 !important;
  font-size: 16px !important;
  font-family: 'Hanken Grotesk' !important;
  color: #000;
}
